### Constructor

# Clutter DesaturateEffect new

#### Declaration [src]

    ClutterEffect*
    clutter_desaturate_effect_new (
      gdouble factor
    )

#### Description [src]

Creates a new `ClutterDesaturateEffect` to be used with `clutter_actor_add_effect()`.

#### Parameters

`factor`

  Type: `gdouble`

  The desaturation factor, between 0.0 and 1.0.

#### Return value

Type: `ClutterEffect`

The newly created `ClutterDesaturateEffect` or `NULL`.

The data is owned by the called function.